Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Fehler in LISP Xref tauschen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Fehler in LISP Xref tauschen (209 mal gelesen)
SNOOP_69
Mitglied
Konstrukteur - Innenausbau


Sehen Sie sich das Profil von SNOOP_69 an!   Senden Sie eine Private Message an SNOOP_69  Schreiben Sie einen Gästebucheintrag für SNOOP_69

Beiträge: 508
Registriert: 25.01.2006

Hardware:
- Lenovo-W540
Software:
- Win10 Pro 64bit
- Autocad 2018-2020 (Vollversion+LT)
- BricsCad
- DraftSight
- SolidWorks 2017-2019
- SWOOD 2019
- MasterCAM 2018-2019

erstellt am: 07. Aug. 2019 07:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


2019-08-0707_34_05-AutodeskAutoCAD2020-OwnersOffice-Kopie.dwg.png

 
Hallo zusammen!
Ich habe eine Fehlermeldung in einem LISP zum "Austauschen eines Xrefs" (Quelle des Codes leider unbekannt).
Weiß jemand an was das liegen könnte bzw. kann mir das LISP jemand korrigieren?
Die Fehlermeldung kommt beim "-rename" Befehl - siehe Screenshot
Vielen Dank im Voraus!

Code:
(defun c:xrch (/ OLDERR B XRLIST XRCHANGE XRPATH XRNAME )
(setq olderr *error*)
(defun *error* (msg)
  (if (/= msg "Function cancelled")
    (princ (strcat "Error: " msg)))
  (setvar "cmdecho" 1)
  (graphscr)
  (setq *error* olderr)
  (princ)
  ); end error

(setvar "cmdecho" 0)
(setq B (tblnext "block" 1))
(while B
  (if (assoc 1 B)    ;find all xrefs
    (setq XRLIST (cons (cdr (assoc 2 B)) XRLIST))) ;in drawing
  (setq B (tblnext "block")))
(while (not XRCHANGE)   
  (textscr)
  (repeat 10
    (terpri))
  (princ "**External References in Drawing**\n") ;print out a list
  (princ "----------------------------------") ;of xrefs for the
  (mapcar 'print XRLIST)    ;the user to see
  (repeat 5
    (terpri))
  (setq XRCHANGE (getstring "\nEnter old external reference name: "))
  (if (tblsearch "block" XRCHANGE)
    (progn
      (while (not XRPATH)         
        (setq XRNAME "NEUER-XREF-NAME")         
        (setq XRPATH (strcat "PFAD-ZUM-NEUEN-XREF"xrname".dwg"))   
        (if (findfile XRPATH)               
          (progn             
            (command ".-xref" "p" XRCHANGE XRPATH) ;sets the new path
            (command ".-rename" "b" XRCHANGE XRNAME) ;sets the new name
            );progn
          (progn
            (princ (strcat "\nCould not find " (strcase XRNAME) " in search path.")) ;not found in xref folder
            (setq XRNAME nil)
            (setq XRPATH nil)
            );progn
          );if
        );while
      );progn
      (progn
        (princ (strcat "\nCould not find " (strcase XRCHANGE) " in drawing.")) ;not an xref in drawing
        (setq XRCHANGE nil)
        );progn
      );if       
    );while
  (graphscr)
  (setvar "cmdecho" 1)
  (setq *error* olderr)
  (princ)
  );eof


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7935
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 07. Aug. 2019 07:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für SNOOP_69 10 Unities + Antwort hilfreich

Moin,

hat das auf (D)einer deutschen Version jemals funktioniert?

Internationalisier das Geraffel, wie z.B. >> hier << beschrieben

>> Aus RENAME wird _RENAME oder auf Deutsch: UMBENENN
oder auch gerne mit Punkt und Befehlszeilenversion: ._-RENAME

Hilfestellung: (z.B.) Die englisch/deutsche Befehlsreferenz inkl. aller BfehlsOPTIONEN von cadmaro.de: http://www.cadmaro.de/files/pdf/Befehlsreferenz_Acad2017.pdf

HTH

PS: Quelle könnte hier sein https://forums.augi.com/showthread.php?111706-Changing-Xref-location-through-lisp
Ich finde es halt immer schade, wenn niemand die Arbeit anderer zumindest so weit wertschätzt, dass er/sie/es sich einen kurzen link zur Quelle in gefundene Codes schreibt. 

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

SNOOP_69
Mitglied
Konstrukteur - Innenausbau


Sehen Sie sich das Profil von SNOOP_69 an!   Senden Sie eine Private Message an SNOOP_69  Schreiben Sie einen Gästebucheintrag für SNOOP_69

Beiträge: 508
Registriert: 25.01.2006

Hardware:
- Lenovo-W540
Software:
- Win10 Pro 64bit
- Autocad 2018-2020 (Vollversion+LT)
- BricsCad
- DraftSight
- SolidWorks 2017-2019
- SWOOD 2019
- MasterCAM 2018-2019

erstellt am: 07. Aug. 2019 08:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hat geklappt! Dankeschön!
Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

SNOOP_69
Mitglied
Konstrukteur - Innenausbau


Sehen Sie sich das Profil von SNOOP_69 an!   Senden Sie eine Private Message an SNOOP_69  Schreiben Sie einen Gästebucheintrag für SNOOP_69

Beiträge: 508
Registriert: 25.01.2006

Hardware:
- Lenovo-W540
Software:
- Win10 Pro 64bit
- Autocad 2018-2020 (Vollversion+LT)
- BricsCad
- DraftSight
- SolidWorks 2017-2019
- SWOOD 2019
- MasterCAM 2018-2019

erstellt am: 07. Aug. 2019 09:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

kannst du mir bitte noch mit einer sache helfen? Wie kann ich den ursprünglichen XREF direkt eingeben bzw. im LISP schon festlegen

Code:
(while (not XRCHANGE)   
  (textscr)
  (repeat 10
    (terpri))
  (princ "**External References in Drawing**\n") ;print out a list
  (princ "----------------------------------") ;of xrefs for the
  (mapcar 'print XRLIST)    ;the user to see
  (repeat 5
    (terpri))
  (setq XRCHANGE (getstring "\nEnter old external reference name: " ))
  (if (tblsearch "block" XRCHANGE)
(progn
      (while (not XRPATH)         
        (setq XRNAME "DECK_5_BRIDGE_DECK_GENERAL_1")         
        (setq XRPATH (strcat "C:/TEMP/XREF-RENAME_TEST/xRef1/"xrname".dwg"))   
        (if (findfile XRPATH)               
          (progn             
            (command "._-xref" "p" XRCHANGE XRPATH) ;sets the new path
            (command "._-rename" "bl" XRCHANGE XRNAME) ;sets the new name
            );progn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1896
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 07. Aug. 2019 09:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für SNOOP_69 10 Unities + Antwort hilfreich

Gerne verweise ich mal auf das LISP Forum
danke
(assoc 2 ... wäre der Name
------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz